Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class LifecycleCallbackTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.LifecycleCallbackTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, LifecycleCallbackType<T>

    public class LifecycleCallbackTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, LifecycleCallbackType<T>

This class implements the `lifecycle-callbackType` xsd type

Original Documentation:

The lifecycle-callback type specifies a method on a
class to be called when a lifecycle event occurs.
Note that each class may have only one lifecycle callback
method for any given event and that the method may not
be overloaded.
If the lifefycle-callback-class element is missing then
the class defining the callback is assumed to be the
component class in scope at the place in the descriptor
in which the callback definition appears.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`LifecycleCallbackTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`LifecycleCallbackTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getLifecycleCallbackClass()` Returns the `lifecycle-callback-class` element
`java.lang.String` | `getLifecycleCallbackMethod()` Returns the `lifecycle-callback-method` element
`LifecycleCallbackType<T>` | `removeLifecycleCallbackClass()` Removes the `lifecycle-callback-class` element
`LifecycleCallbackType<T>` | `removeLifecycleCallbackMethod()` Removes the `lifecycle-callback-method` element
`LifecycleCallbackType<T>` | `setLifecycleCallbackClass(java.lang.String lifecycleCallbackClass)` If not already created, a new `lifecycle-callback-class` element with the given value will be created.
`LifecycleCallbackType<T>` | `setLifecycleCallbackMethod(java.lang.String lifecycleCallbackMethod)` If not already created, a new `lifecycle-callback-method` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleCallbackTypeImpl

    public LifecycleCallbackTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node)

### LifecycleCallbackTypeImpl

    public LifecycleCallbackTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node,
                                     org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setLifecycleCallbackClass

    public LifecycleCallbackType<T> setLifecycleCallbackClass(java.lang.String lifecycleCallbackClass)

  If not already created, a new `lifecycle-callback-class` element with the given value will be created. Otherwise, the existing `lifecycle-callback-class` element will be updated with the given value.

  Specified by:
    `setLifecycleCallbackClass` in interface `LifecycleCallbackType<T>`
  Returns:
    the current instance of `LifecycleCallbackType`

### removeLifecycleCallbackClass

    public LifecycleCallbackType<T> removeLifecycleCallbackClass()

  Removes the `lifecycle-callback-class` element

  Specified by:
    `removeLifecycleCallbackClass` in interface `LifecycleCallbackType<T>`
  Returns:
    the current instance of `LifecycleCallbackType`

### getLifecycleCallbackClass

    public java.lang.String getLifecycleCallbackClass()

  Returns the `lifecycle-callback-class` element

  Specified by:
    `getLifecycleCallbackClass` in interface `LifecycleCallbackType<T>`
  Returns:
    the node defined for the element `lifecycle-callback-class`

### setLifecycleCallbackMethod

    public LifecycleCallbackType<T> setLifecycleCallbackMethod(java.lang.String lifecycleCallbackMethod)

  If not already created, a new `lifecycle-callback-method` element with the given value will be created. Otherwise, the existing `lifecycle-callback-method` element will be updated with the given value.

  Specified by:
    `setLifecycleCallbackMethod` in interface `LifecycleCallbackType<T>`
  Returns:
    the current instance of `LifecycleCallbackType`

### removeLifecycleCallbackMethod

    public LifecycleCallbackType<T> removeLifecycleCallbackMethod()

  Removes the `lifecycle-callback-method` element

  Specified by:
    `removeLifecycleCallbackMethod` in interface `LifecycleCallbackType<T>`
  Returns:
    the current instance of `LifecycleCallbackType`

### getLifecycleCallbackMethod

    public java.lang.String getLifecycleCallbackMethod()

  Returns the `lifecycle-callback-method` element

  Specified by:
    `getLifecycleCallbackMethod` in interface `LifecycleCallbackType<T>`
  Returns:
    the node defined for the element `lifecycle-callback-method`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD